@import "~/variables";

.paginator {
  align-items: center;
  display: flex;
  list-style-type: none;
  padding: 0;

  li {
    border: 0px solid $base_color;
  }

  .page_number {
    color: $base_color;
    height: 25px;
    width: 30px;
    margin:5px;
    position: relative;
    text-align: center;

    a {
      cursor: pointer;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
    }
  }

  .active_page_number {
    background-color: $accent_color;
    border: 1px solid $accent_color;
    border-radius: 50%;
    color: white;
    cursor: default !important;
  }

  .prev_button, .next_button {
    border-radius: 5px;
    color: $base_color;
    cursor: pointer;
    height: 25px;
    margin:5px;
    padding-left: 10px;
    padding-right: 10px;
  }

  .beak_label {
    pointer-events: none;
  }

  .disabled_page_button {
    visibility: hidden;
  }
}